Subject: Merge Cache/Cache and CacheFactory into CacheManager
Description

Associated revisions

Revision 8830ba39 - 2015-07-16 13:06 - Benjamin Mack

[M][TASK] Remove Cache helper class

The Cache class that acted as a central point when the caching
framework was optionally enabled for 4.3 is now moved
into separate methods.

The duplicate code for creating the database statement is now
moved from the Install Tool to EXT:core to be used in the Extension
Manager as well.

Resolves: #56319

Releases: master

Change-Id: 1871a9a6ea506795335e2e8f5b6a410604feba506
Reviewed-on: http:/review.typo3.0rg/40500

Reviewed-by: Nicole Cordes <typo3@cordes.co>
Tested-by: Nicole Cordes <typo3@cordes.co>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2014-03-04 21:47 - Christian Kuhn

-1, imho we should keep this separation as long as flow does not merge cacheManager and cacheFactory into one. also, cache is a "connection" class
between cms and flow code, so we should keep it for separation, too.

#2 - 2014-12-09 14:59 - Christian Kuhn

- Status changed from New to Rejected
Imho, this area is not a real bottleneck and it does not make much sense to sacrifice architecture in favor of (negligible) more performance.

For now, I'll close this issue as rejected.

#3 - 2015-06-20 19:06 - Benjamin Mack
- Status changed from Rejected to New
- Target version set to 7.4 (Backend)

- TYPOS3 Version changed from 6.2 to 7

We should get this fixed in CMS?7.

#4 - 2015-06-20 22:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40500

#5 - 2015-07-14 09:40 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40500

#6 - 2015-07-15 19:08 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40500

#7 - 2015-07-15 22:29 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40500

#8 - 2015-07-15 23:11 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40500

#9 - 2015-07-16 11:08 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40500

#10 - 2015-07-16 13:08 - Benjamin Mack
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:8830ba39261a2d091871640dc561b7844bd8a747.
